LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
05288User patchesAssessmentspublic2011-06-19 18:582012-06-21 13:22
ReporterTMSWhite 
Assigned ToTMSWhite 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version1.91 
Target VersionFixed in Version1.92RC1 
Summary05288: Optionally replace Assessments with ExpressionManager features
DescriptionOnce User Patches 05103, 05104, 05268, and 05269 are completed, ExpressionManager can completely replace the Assessments module (optionally, of course - don't want to mess up operational surveys).

Here are the steps:
(1) Each Assessment score would be stored in an Equation Answer type (Issue 05104). That way assessment values would be stored to the database for easier retrieval, and it would be easy to generate a report showing the assessment equations and scores. These scores could also be updated as data is collected (so could even display a running total, if needed).
(2) Assessment scores could be derived from any question type , rather than just a subset of question types (since ExpressionManager can access responses from all question types - Issue 05103)
(3) Such assessments would not require database changes. Users who didn't want to create labels for each answer could just put appropriate numeric codes for each answer choice. ExpressionManager would then process them as desired
(4) Assessments could access any variable, token, or other replacement value (Issue 05268)
(5) Assessment-related messages can be conditionally displayed (Issue 05269). Thus, instead of Assessments only being visible on subsequent pages, Assessments could be conditionally displayed on the active page.
(6) The text of the Assessment-related messages can be conditionally tailored (Issue 05103) - and refer to as many other variables as desired.
(7) Assessment scores can be used to drive conditional display or tailoring of as many questions as desired (instead of just one)
(8) Assessments can be combined and cascaded (since they are actual responses - can be part of new conditions - Issue 05269)
TagsNo tags attached.
LimeSurvey build number OR git commit ID10292
Attached Files

- Relationships
related to 05103closedTMSWhite Support conditional piping/tailoring and complex calculations via embedded equation parser 
related to 05104closedTMSWhite Create new question type for stored calculation results, called Equation 
related to 05268closedc_schmitz Do all LimeReplacementField and Token replacements in a single function 
related to 05269closedTMSWhite Use ExpressionManager for Branching logic as optional alternative to Conditions 

-  Notes
User avatar (15849)
TMSWhite (reporter)
2011-07-24 07:33

This now works in revision 10579, with versions of tailoring and relevance calculations using much-improved in Javascript.syntax highlighting and tool-tipping.

It also supports real-time changes to question visibility and micro-tailoring on the current page without visibility.
User avatar (16799)
TMSWhite (reporter)
2012-01-16 16:11

This was available in 1.91 RC1. It is not an automatic translation of assessments, but rather the tools to easily create typical and complex assessments.

There is no obvious, easy way to automate creation of assessments.

- Issue History
Date Modified Username Field Change
2011-06-19 18:58 TMSWhite New Issue
2011-06-19 18:59 TMSWhite Relationship added related to 05103
2011-06-19 18:59 TMSWhite Relationship added related to 05104
2011-06-19 18:59 TMSWhite Relationship added related to 05268
2011-06-19 18:59 TMSWhite Relationship added related to 05269
2011-07-24 07:33 TMSWhite Note Added: 15849
2012-01-16 16:11 TMSWhite Note Added: 16799
2012-01-16 16:11 TMSWhite Status new => resolved
2012-01-16 16:11 TMSWhite Fixed in Version => 1.92RC1
2012-01-16 16:11 TMSWhite Resolution open => fixed
2012-01-16 16:11 TMSWhite Assigned To => TMSWhite
2012-06-21 13:22 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker